<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('pages');
include('locale.inc.php');
$locale = new LocalizingClass('pages');

include('../functions_url.inc.php');

if ($_GET['sec'] == 'root') {
	$ordner = '../data/pages/';
} else {
	$shorturl = get_filename_from_url($_GET['sec']);
	if ($shorturl === false) {
		die('Error: The page couldn\'t be found in the URL index.');
	}
	$ordner = '../data/pages'.substr($shorturl, 0, strrpos($shorturl, '/'));
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_sort') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
<link rel="stylesheet" type="text/css" href="tool-man/lists.css">
<style type="text/css">
<!--
	ul.boxy li { margin: 0px; width: 200px; }
	#sortlist { margin-top: -4px; }
	#sortlist li { margin-top: 4px; }
-->
</style>
<script language="JavaScript" type="text/javascript" src="tool-man/core.js"></script>
<script language="JavaScript" type="text/javascript" src="tool-man/events.js"></script>
<script language="JavaScript" type="text/javascript" src="tool-man/css.js"></script>
<script language="JavaScript" type="text/javascript" src="tool-man/coordinates.js"></script>
<script language="JavaScript" type="text/javascript" src="tool-man/drag.js"></script>
<script language="JavaScript" type="text/javascript" src="tool-man/dragsort.js"></script>
<!--<script language="JavaScript" type="text/javascript" src="tool-man/cookies.js"></script>-->
<script language="JavaScript" type="text/javascript"><!--
	var dragsort = ToolMan.dragsort()
	var junkdrawer = ToolMan.junkdrawer()

	window.onload = function() {
		dragsort.makeListSortable(document.getElementById("sortlist"), verticalOnly)
	}

	function verticalOnly(item) {
		item.toolManDragGroup.verticalOnly()
	}

	function inspect() {
        location.href = "sort2.php?sec=<?php echo $_GET['sec'] ?>&data=" + ToolMan.junkdrawer().serializeList(document.getElementById('sortlist')).replace(/#/g, '%23') + "&<?php echo SID ?>";
	}

	//-->
</script>
</head>
<body>

<h1><?php locale('title_sort') ?></h1>
<noscript>
	<p><?php locale('desc_sort-nojs') ?></p>
</noscript>
<p>
	<ul id="sortlist" class="boxy">
<?php
  $exists = "no";
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      $files[] = $file;
    }
  }
  natcasesort($files);
  foreach($files as $file) {
    $show = substr($file, 3);
    $show = str_replace("_"," ",$show);
    $show = str_replace("SLASH","/",$show);
    $show = str_replace("AND" ,"&", $show);
    if($file != "01,Home") {
      echo "\t\t\t";
      echo '<li itemID="'.str_replace('"', '&quot;', $file).'">'.$show.'</li>';
      $exists = "yes";
    }
  }
  closedir($handle);
  if ($exists == "no") { locale('desc_sort-no-pages'); }
?>
	</ul>
</p>
<p>
<?php
if ($exists == "yes") {
?>
	<input class="inspector" type="button" value="<?php locale('button_save') ?>" onclick="inspect()" style="margin: 0px; padding: 0px; font-size: 11px;">
<?php
} else {
?>
	<a href="pages.php?<?php echo SID ?>"><?php locale('link_back') ?></a>
<?php
}
?>
</p>

</body>
</html>
